org.apache.solr.client.solrj.embedded

## Class JettyConfig.Builder

- java.lang.Object
- - org.apache.solr.client.solrj.embedded.JettyConfig.Builder

- Enclosing class:
    JettyConfig

      public static class JettyConfig.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JettyConfig` | `build()`
    `JettyConfig.Builder` | `setContext(String context)`
    `JettyConfig.Builder` | `setPort(int port)`
    `JettyConfig.Builder` | `stopAtShutdown(boolean stopAtShutdown)`
    `JettyConfig.Builder` | `waitForLoadingCoresToFinish(Long waitForLoadingCoresToFinishMs)`
    `JettyConfig.Builder` | `withFilter(Class<? extends javax.servlet.Filter> filterClass, String pathSpec)`
    `JettyConfig.Builder` | `withFilters(Map<Class<? extends javax.servlet.Filter>,String> filters)`
    `JettyConfig.Builder` | `withServlet(org.eclipse.jetty.servlet.ServletHolder servlet, String pathSpec)`
    `JettyConfig.Builder` | `withServlets(Map<org.eclipse.jetty.servlet.ServletHolder,String> servlets)`
    `JettyConfig.Builder` | `withSSLConfig(SSLConfig sslConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setPort

          public JettyConfig.Builder setPort(int port)

    - #### setContext

          public JettyConfig.Builder setContext(String context)

    - #### stopAtShutdown

          public JettyConfig.Builder stopAtShutdown(boolean stopAtShutdown)

    - #### waitForLoadingCoresToFinish

          public JettyConfig.Builder waitForLoadingCoresToFinish(Long waitForLoadingCoresToFinishMs)

    - #### withServlet

          public JettyConfig.Builder withServlet(org.eclipse.jetty.servlet.ServletHolder servlet,
                                                 String pathSpec)

    - #### withServlets

          public JettyConfig.Builder withServlets(Map<org.eclipse.jetty.servlet.ServletHolder,String> servlets)

    - #### withFilter

          public JettyConfig.Builder withFilter(Class<? extends javax.servlet.Filter> filterClass,
                                                String pathSpec)

    - #### withFilters

          public JettyConfig.Builder withFilters(Map<Class<? extends javax.servlet.Filter>,String> filters)

    - #### withSSLConfig

          public JettyConfig.Builder withSSLConfig(SSLConfig sslConfig)

    - #### build

          public JettyConfig build()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.